import java.sql.*;

/*
 * muuda() ??? sql käsk
 */


class Fail{
	static void lisa(String pealkiri, String autor, String avaldatud, String kirjastus, String teema, String formaat, String asukoht){
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="INSERT INTO ebook(pealkiri, autor, avaldatud, kirjastus, teema, formaat, asukoht) values ('"+Kontroll.asenda(pealkiri)+"','"
			+Kontroll.asenda(autor)+"','"+
			Kontroll.aasta(avaldatud)+"',"+
			Kontroll.asenda(kirjastus)+","+
			Kontroll.asenda(teema)+","+
			Kontroll.asenda(formaat)+",'"+
			Kontroll.asenda(asukoht)+"'"+
			");";
			st.executeUpdate(lause);			
			EMaterjal.pw.println("path:"+asukoht);
			EMaterjal.pw.println("Fail lisatud<br/><a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Fail:lisa):"+e);
		}
	}
	static void muuda(String pealkiri, String autor, String avaldatud, String kirjastus, String formaat, String asukoht,String muudetav){
				
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		
		// update <tabel> set väli=väärtus where <tingimus>
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="";
			//lause="update ebook set pealkiri='"+pealkiri+"'and autor="+autor+" and avaldatud='"+aasta(avaldatud)+"' and kirjastus="+kirjastus+" and formaat="+formaat+" and asukoht='"+asukoht+"' where id="+muudetav+";";
			st.executeUpdate(lause);			
			EMaterjal.pw.println("muudetud: pealkiri - "+pealkiri+" autor - "+autor+" avaldatud - "+Kontroll.aasta(avaldatud)+" kirjastus - "+kirjastus+" formaat - "+formaat);
		}catch(Exception e){
			EMaterjal.pw.println("(Kaust:lisa):"+e);
		}
	}
	static void kustuta(String kustutatav){
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="DELETE FROM ebook WHERE id="+Integer.parseInt(kustutatav)+";";						
			st.executeUpdate(lause);			
			EMaterjal.pw.println("Kirje nr "+kustutatav+" kustutatud!<a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><br/><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Kaust:lisa):"+e);
		}		
	}
	static void lisamine(){
		Statement st; //
		ResultSet rs=null; // tulemuste kogum
		String lause; // sql päring	
		String formaat;
		String nimeID;
		String enimi,pnimi;
		
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<table>\n");
				EMaterjal.pw.println("<tr><td>Pealkiri :</td><td>");
				EMaterjal.pw.println("<input type=text name=pealkiri>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Asukoht :</td><td>");
				EMaterjal.pw.println("<input class=formtext type='file' name='asukoht'>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Autor\n");		
				EMaterjal.pw.println("</td><td>\n");	
				EMaterjal.pw.println("<select name=autor>");
				EMaterjal.pw.println("<option value=1>N/A");
				/*sql*/
				try{			
					st=EMaterjal.cn.createStatement();				
					lause="SELECT * FROM autorid;";						
					rs=st.executeQuery(lause);
					while(rs.next()){
						nimeID=rs.getString("id");
						enimi=rs.getString("eesnimi");
						pnimi=rs.getString("perekonnanimi");
						EMaterjal.pw.println("<option value="+nimeID+">"+pnimi+","+enimi);
					}
				}catch(Exception e){
					EMaterjal.pw.println("(Fail:lisamine.kuvaKirjastused):"+e);
				}				     				
   				EMaterjal.pw.println("</select>");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Avaldamise aasta</td><td>");
				EMaterjal.pw.println("<input type=text name=avaldatud>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Kirjastus</td><td>");
				EMaterjal.pw.println("<select name=kirjastus>");
				EMaterjal.pw.println("<option value=1>N/A");
				/*sql*/
				try{			
					st=EMaterjal.cn.createStatement();				
					lause="SELECT * FROM kirjastused;";						
					rs=st.executeQuery(lause);
					while(rs.next()){
						nimeID=rs.getString("id");
						formaat=rs.getString("kirjastus");
						EMaterjal.pw.println("<option value="+nimeID+">"+formaat);
					}
				}catch(Exception e){
					EMaterjal.pw.println("(Fail:lisamine.kuvaKirjastused):"+e);
				}				     				
   				EMaterjal.pw.println("</select>");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Formaat :</td><td>");
				EMaterjal.pw.println("<select name=formaat>");
				EMaterjal.pw.println("<option value=1>N/A");
				/*sql*/
				try{			
					st=EMaterjal.cn.createStatement();				
					lause="SELECT * FROM formaadid;";						
					rs=st.executeQuery(lause);
					while(rs.next()){
						nimeID=rs.getString("id");
						formaat=rs.getString("formaat");
						EMaterjal.pw.println("<option value="+nimeID+">"+formaat);
					}
				}catch(Exception e){
					EMaterjal.pw.println("(Fail:lisamine.kuvaFormaadid):"+e);
				}				     				
   				EMaterjal.pw.println("</select>");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("<input type=submit value=saada>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
			EMaterjal.pw.println("</table>\n");
			EMaterjal.pw.println("Lisa: <a href=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk=3&operatsioon=1>uus autor</a> | ");
			EMaterjal.pw.println("<a href=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk=3&operatsioon=2>uus kirjastus</a> | ");
			EMaterjal.pw.println("<a href=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk=3&operatsioon=3>uus formaat</a>");
		EMaterjal.pw.println("</form>");	
	}
	static void muutmine(){
		Statement st; //
		ResultSet rs=null; // tulemuste kogum
		String lause; // sql päring	
		String formaat;
		String nimeID;
		String enimi,pnimi;
		
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<table>\n");
				EMaterjal.pw.println("<tr><td>Pealkiri :</td><td>");
				EMaterjal.pw.println("<input type=text name=pealkiri>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Asukoht :</td><td>");
				EMaterjal.pw.println("<input class=formtext type='file' name='asukoht'>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Autor\n");		
				EMaterjal.pw.println("</td><td>\n");	
				EMaterjal.pw.println("<select name=autor>");
				EMaterjal.pw.println("<option value=1>N/A");
				/*sql*/
				try{			
					st=EMaterjal.cn.createStatement();				
					lause="SELECT * FROM autorid;";						
					rs=st.executeQuery(lause);
					while(rs.next()){
						nimeID=rs.getString("id");
						enimi=rs.getString("eesnimi");
						pnimi=rs.getString("perekonnanimi");
						EMaterjal.pw.println("<option value="+nimeID+">"+pnimi+","+enimi);
					}
				}catch(Exception e){
					EMaterjal.pw.println("(Fail:lisamine.kuvaKirjastused):"+e);
				}				     				
   				EMaterjal.pw.println("</select>");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Avaldamise aasta</td><td>");
				EMaterjal.pw.println("<input type=text name=avaldatud>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Kirjastus</td><td>");
				EMaterjal.pw.println("<select name=kirjastus>");
				EMaterjal.pw.println("<option value=1>N/A");
				/*sql*/
				try{			
					st=EMaterjal.cn.createStatement();				
					lause="SELECT * FROM kirjastused;";						
					rs=st.executeQuery(lause);
					while(rs.next()){
						nimeID=rs.getString("id");
						formaat=rs.getString("kirjastus");
						EMaterjal.pw.println("<option value="+nimeID+">"+formaat);
					}
				}catch(Exception e){
					EMaterjal.pw.println("(Fail:lisamine.kuvaKirjastused):"+e);
				}				     				
   				EMaterjal.pw.println("</select>");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("Formaat :</td><td>");
				EMaterjal.pw.println("<select name=formaat>");
				EMaterjal.pw.println("<option value=1>N/A");
				/*sql*/
				try{			
					st=EMaterjal.cn.createStatement();				
					lause="SELECT * FROM formaadid;";						
					rs=st.executeQuery(lause);
					while(rs.next()){
						nimeID=rs.getString("id");
						formaat=rs.getString("formaat");
						EMaterjal.pw.println("<option value="+nimeID+">"+formaat);
					}
				}catch(Exception e){
					EMaterjal.pw.println("(Fail:lisamine.kuvaFormaadid):"+e);
				}				     				
   				EMaterjal.pw.println("</select>");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
				EMaterjal.pw.println("<input type=submit value=saada>\n");
			EMaterjal.pw.println("</td></tr><tr><td>\n");
			EMaterjal.pw.println("</table>\n");
	}
}